Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1291770

Summary: Nautilus pop-overs sometimes partly hidden under GNOME's top bar in Wayland
Product: [Fedora] Fedora Reporter: James <james>
Component: nautilusAssignee: Matthias Clasen <mclasen>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: ccecchi, fedora, kparal, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-04-07 15:26:47 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    
Attachments:
Description Flags
Screenshot of problem none

Description James 2015-12-15 15:08:41 UTC
Created attachment 1106065 [details]
Screenshot of problem

Description of problem:
See the attached screenshot. Context menus for the Nautilus side bar can appear under the GNOME Panel when in the right position.

Version-Release number of selected component (if applicable):
gtk3-3.18.6-1.fc23.x86_64
gnome-shell-3.18.3-1.fc23.x86_64
nautilus-3.18.2-2.fc23.x86_64
libwayland-server-1.9.0-1.fc23.x86_64
libwayland-client-1.9.0-1.fc23.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Open Nautilus.
2. Move window to near top of screen.
3. Right-click on a side-bar item.

Actual results:
Menu appears above the right-clicked item, under GNOME Panel.

Expected results:
Menu appears below the clicked item, unobscured.

Additional info:

Comment 1 Kamil Páral 2015-12-16 08:41:48 UTC
Thanks for your report. If you want to help with this even further, could you please report this into https://bugzilla.gnome.org/ under gtk+ component (backend: wayland) and link it here? Thanks.

Comment 2 Kamil Páral 2015-12-16 08:45:21 UTC
Nevermind, found it at https://bugzilla.gnome.org/show_bug.cgi?id=757476 .

Comment 3 Christian Stadelmann 2016-04-07 13:56:23 UTC
This issue has been closed upstream for nautilus and gtk+ 3.20. It can be closed now.